Kepler - Bug #4035

MoMLSimpleApplication does not filter Display actor or any GUI Kepler actors.
04/29/2009 03:05 PM - Chad Berkley
Description

When you run a -nogui kepler run, MoMLSimpleApplication should have the ability to filter some of the gui elements in a workflow.
This would be useful for running a workflow with basic gui output (such as displays).

History

#1 - 04/29/2009 03:06 PM - Chad Berkley
See bug 3097 for the provenance of this bug.

#2 - 07/22/2009 09:39 AM - Christopher Brooks

I'm looking over old bugs.

Can this bug be closed?

ant run-workflow-no-gui filters the Display actor out and runs
in a headless environment, in this case Linux with $DISPLAY
set to NotAHost:0.0

bash-3.2$ ant run-workflow-no-gui -Dworkflow=$PTIl/ptolemy/actor/lib/gui/test/Display.xml
Buildfile: build.xml

compile:

[compile] Compiling ptolemy...
[compile] Getting Ptolemy paths from /Users/cxh/src/kepler/ptolemy/.classpath.default
[compile] Compiling module-manager...
[compile] Compiling ptll...

[compile] Compiling core...

[compile] Compiling event-state...
[compile] Compiling util...

[compile] Compiling gui...

[compile] Compiling loader...

[compile] Compiling r...

[compile] Compiling apple-extensions...

run-workflow-no-gui:

[run] Getting Ptolemy paths from /Users/cxh/src/kepler/ptolemy/.classpath.default

[run] Set environment variable: PATH =
/Users/cxh/ptll/bin:/usr/local/apache-maven/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/texbin:/usr/X11/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/texbin:
/usr/local/texlive/2007/bin:/Users/cxh/src/kepler/kepler/lib:/Users/cxh/src/kepler/apple-extensions/lib:/Users/cxh/src/kepler/r/lib:/Users/cxh/src/kepler/lo
ader/lib:/Users/cxh/src/kepler/gui/lib:/Users/cxh/src/kepler/util/lib:/Users/cxh/src/kepler/event-state/lib:/Users/cxh/src/kepler/core/lib:/Users/cxh/src/kepl
er/actors/lib:/Users/cxh/src/kepler/directors/lib:/Users/cxh/src/kepler/common/lib:/Users/cxh/src/kepler/ptll/lib:/Users/cxh/src/kepler/module-manager/li
b:/Users/cxh/src/kepler/ptolemy/lib:/Users/cxh/src/kepler/ptolemy-lib/lib

[run] Set environment variable: R_HOME = /Library/Frameworks/R.framework/Resources

[run] /Users/cxh/src/kepler

[run] Found OS Extension file: /Users/cxh/src/kepler/apple-extensions/module-info/osextension. txt

[run] loading OS extensions for OS Mac OS X with class org.kepler.osx.KeplerOSXExtension

[run] loading: org.kepler.KeplerConfigurationApplication args: ptolemy/configs/kepler/ConfigNoGUIWithCache.xml -runThenExit
/Users/cxh/ptll/ptolemy/actor/lib/gui/test/Display.xml

[run] invoking: org.kepler.KeplerConfigurationApplication.main

[run] 179 ms. Memory: 7772K Free: 1556K (20%)

BUILD SUCCESSFUL

Total time: 21 seconds
bash-3.2$

#3 - 03/27/2013 02:25 PM - Redmine Admin
Original Bugzilla ID was 4035
